package com.redxun.knowledge.album.entity.vo;

import com.alibaba.fastjson.annotation.JSONField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.redxun.knowledge.entity.vo.KnowledgeCategoryAdminVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * 文件名: AlbumKnowledgeVo
 * 作者: Zizg
 * 时间: 2023/2/3
 * 描述:
 * 修改人:
 * 修改时间:
 * 修改内容:
 */
@ApiModel("目录多知识回显")
@Data
public class AlbumKnowledgeVo implements Serializable {

    @ApiModelProperty("知识Id")
    private String knowledgeId;

    @ApiModelProperty("知识分类")
    private String category;

    @ApiModelProperty("知识名称")
    private String title;

    @ApiModelProperty("作者")
    private String author;

    @ApiModelProperty("作者头像")
    private String authorHead;

    @DateTimeFormat(
            pattern = "yyyy-MM-dd HH:mm:ss"
    )
    @JSONField(
            format = "yyyy-MM-dd HH:mm:ss"
    )
    @JsonFormat(
            pattern = "yyyy-MM-dd HH:mm:ss",
            timezone = "GMT+8"
    )
    @ApiModelProperty("创建时间")
    private Date createTime;
}
