package com.redxun.knowledge.album.mapper;

import com.redxun.common.base.db.BaseDao;
import com.redxun.knowledge.album.entity.dao.AlbumVersion;
import org.apache.ibatis.annotations.Mapper;

/**
* 业务--专辑版本表数据库访问层
*/
@Mapper
public interface AlbumVersionMapper extends BaseDao<AlbumVersion> {

    /**
     * 删除该专辑下的版本信息
     * @param ids 专辑Id
     */
    void deleteByAlbumId(String ids);
}
