package com.redxun.knowledge.album.service;

import com.redxun.common.base.db.BaseDao;
import com.redxun.common.base.db.BaseService;
import com.redxun.common.service.impl.SuperServiceImpl;
import com.redxun.knowledge.album.entity.dao.AlbumCatalogueKnowledge;
import com.redxun.knowledge.album.mapper.AlbumCatalogueKnowledgeMapper;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
* [业务--专辑目录知识表]业务服务类
*/
@Service
public class AlbumCatalogueKnowledgeServiceImpl extends SuperServiceImpl<AlbumCatalogueKnowledgeMapper, AlbumCatalogueKnowledge> implements BaseService<AlbumCatalogueKnowledge> {

    @Resource
    private AlbumCatalogueKnowledgeMapper albumCatalogueKnowledgeMapper;

    @Override
    public BaseDao<AlbumCatalogueKnowledge> getRepository() {
        return albumCatalogueKnowledgeMapper;
    }

}
